# PhasicFlow: cells< indexType > Class Template Reference

cells< indexType > Class Template Reference
Inheritance diagram for cells< indexType >:
[legend]
Collaboration diagram for cells< indexType >:
[legend]

## Public Types

using | CellType = triple< indexType >

## Public Member Functions

INLINE_FUNCTION_HD | cells ()
INLINE_FUNCTION_H | cells (const box &domain, real cellSize)
INLINE_FUNCTION_H | cells (const box &domain, int32 nx, int32 ny, int32 nz)
INLINE_FUNCTION_HD | cells (const cells &)=default
INLINE_FUNCTION_HD cells & | operator= (const cells &)=default
INLINE_FUNCTION_HD | cells (cells &&)=default
INLINE_FUNCTION_HD cells & | operator= (cells &&)=default
cells | getCells () const
INLINE_FUNCTION_H void | setCellSize (real cellSize)
INLINE_FUNCTION_H void | setCellSize (realx3 cellSize)
INLINE_FUNCTION_HD realx3 | cellSize () const
const INLINE_FUNCTION_HD CellType & | numCells () const
INLINE_FUNCTION_HD indexType | nx () const
INLINE_FUNCTION_HD indexType | ny () const
INLINE_FUNCTION_HD indexType | nz () const
INLINE_FUNCTION_HD int64 | totalCells () const
const auto & | domain () const
INLINE_FUNCTION_HD CellType | pointIndex (const realx3 &p) const
INLINE_FUNCTION_HD bool | pointIndexInDomain (const realx3 p, CellType &index) const
INLINE_FUNCTION_HD bool | inDomain (const realx3 &p) const
INLINE_FUNCTION_HD bool | isInRange (const CellType &cell) const
INLINE_FUNCTION_HD bool | isInRange (indexType i, indexType j, indexType k) const
INLINE_FUNCTION_HD void | extendBox (const CellType &p1, const CellType &p2, const CellType &p3, indexType extent, CellType &minP, CellType &maxP) const
INLINE_FUNCTION_HD void | extendBox (const realx3 &p1, const realx3 &p2, const realx3 &p3, real extent, realx3 &minP, realx3 &maxP) const
INLINE_FUNCTION_HD CellType | bound (CellType p) const
INLINE_FUNCTION_HD realx3 | bound (realx3 p) const

## Protected Member Functions

INLINE_FUNCTION_H void | calculate ()

## Protected Attributes

box | domain_ {realx3(0.0), realx3(1.0)}
realx3 | cellSize_ {1,1,1}
CellType | numCells_ {1,1,1}

## Detailed Description

### template<typename indexType>
class pFlow::cells< indexType >

Definition at line 32 of file cells.hpp.

## Member Typedef Documentation

## CellType

using CellType = triple<indexType>

Definition at line 36 of file cells.hpp.

## Constructor & Destructor Documentation

## cells() [1/5]

INLINE_FUNCTION_HD cells | ( |  | ) |

inline

Definition at line 60 of file cells.hpp.

## cells() [2/5]

INLINE_FUNCTION_H cells | ( | const box & | domain,
|  | real | cellSize
| ) |  |

inline

Definition at line 64 of file cells.hpp.

## cells() [3/5]

INLINE_FUNCTION_H cells | ( | const box & | domain,
|  | int32 | nx,
|  | int32 | ny,
|  | int32 | nz
| ) |  |

inline

Definition at line 74 of file cells.hpp.

## cells() [4/5]

INLINE_FUNCTION_HD cells | ( | const cells< indexType > & |  | ) |

default

## cells() [5/5]

INLINE_FUNCTION_HD cells | ( | cells< indexType > && |  | ) |

default

## Member Function Documentation

## calculate()

INLINE_FUNCTION_H void calculate | ( |  | ) |

inlineprotected

Definition at line 51 of file cells.hpp.

Referenced by cells< int32 >::cells(), and cells< int32 >::setCellSize().

Here is the caller graph for this function:

## operator=() [1/2]

INLINE_FUNCTION_HD cells& operator= | ( | const cells< indexType > & |  | ) |

default

## operator=() [2/2]

INLINE_FUNCTION_HD cells& operator= | ( | cells< indexType > && |  | ) |

default

## getCells()

cells getCells | ( |  | ) | const

inline

Definition at line 95 of file cells.hpp.

Referenced by NBS< executionSpace >::getCells(), and NBS< executionSpace >::getCellsLevels().

Here is the caller graph for this function:

## setCellSize() [1/2]

INLINE_FUNCTION_H void setCellSize | ( | real | cellSize | ) |

inline

Definition at line 101 of file cells.hpp.

## setCellSize() [2/2]

INLINE_FUNCTION_H void setCellSize | ( | realx3 | cellSize | ) |

inline

Definition at line 108 of file cells.hpp.

## cellSize()

INLINE_FUNCTION_HD realx3 cellSize | ( |  | ) | const

inline

Definition at line 115 of file cells.hpp.

Referenced by cells< int32 >::setCellSize().

Here is the caller graph for this function:

## numCells()

const INLINE_FUNCTION_HD CellType& numCells | ( |  | ) | const

inline

Definition at line 121 of file cells.hpp.

## nx()

INLINE_FUNCTION_HD indexType nx | ( |  | ) | const

inline

Definition at line 127 of file cells.hpp.

Referenced by rectMeshField< int32, HostSpace >::fill(), pointRectCell::mapPOints(), and rectMeshField< int32, HostSpace >::nx().

Here is the caller graph for this function:

## ny()

INLINE_FUNCTION_HD indexType ny | ( |  | ) | const

inline

Definition at line 133 of file cells.hpp.

Referenced by rectMeshField< int32, HostSpace >::fill(), pointRectCell::mapPOints(), and rectMeshField< int32, HostSpace >::ny().

Here is the caller graph for this function:

## nz()

INLINE_FUNCTION_HD indexType nz | ( |  | ) | const

inline

Definition at line 139 of file cells.hpp.

Referenced by rectMeshField< int32, HostSpace >::fill(), pointRectCell::mapPOints(), and rectMeshField< int32, HostSpace >::nz().

Here is the caller graph for this function:

## totalCells()

INLINE_FUNCTION_HD int64 totalCells | ( |  | ) | const

inline

Definition at line 145 of file cells.hpp.

## domain()

const auto& domain | ( |  | ) | const

inline

Definition at line 152 of file cells.hpp.

## pointIndex()

INLINE_FUNCTION_HD CellType pointIndex | ( | const realx3 & | p | ) | const

inline

Definition at line 158 of file cells.hpp.

Referenced by mapperNBS< DefaultHostExecutionSpace >::build(), cells< int32 >::pointIndexInDomain(), and positionParticles::sortByMortonCode().

Here is the caller graph for this function:

## pointIndexInDomain()

INLINE_FUNCTION_HD bool pointIndexInDomain | ( | const realx3 | p,
|  | CellType & | index
| ) |  | const

inline

Definition at line 164 of file cells.hpp.

Referenced by mapperNBS< DefaultHostExecutionSpace >::buildCheckInDomain().

Here is the caller graph for this function:

## inDomain()

INLINE_FUNCTION_HD bool inDomain | ( | const realx3 & | p | ) | const

inline

Definition at line 173 of file cells.hpp.

## isInRange() [1/2]

INLINE_FUNCTION_HD bool isInRange | ( | const CellType & | cell | ) | const

inline

Definition at line 179 of file cells.hpp.

## isInRange() [2/2]

INLINE_FUNCTION_HD bool isInRange | ( | indexType | i,
|  | indexType | j,
|  | indexType | k
| ) |  | const

inline

Definition at line 191 of file cells.hpp.

## extendBox() [1/2]

INLINE_FUNCTION_HD void extendBox | ( | const CellType & | p1,
|  | const CellType & | p2,
|  | const CellType & | p3,
|  | indexType | extent,
|  | CellType & | minP,
|  | CellType & | maxP
| ) |  | const

inline

Definition at line 203 of file cells.hpp.

## extendBox() [2/2]

INLINE_FUNCTION_HD void extendBox | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | real | extent,
|  | realx3 & | minP,
|  | realx3 & | maxP
| ) |  | const

inline

Definition at line 219 of file cells.hpp.

## bound() [1/2]

INLINE_FUNCTION_HD CellType bound | ( | CellType | p | ) | const

inline

Definition at line 235 of file cells.hpp.

Referenced by cells< int32 >::extendBox().

Here is the caller graph for this function:

## bound() [2/2]

INLINE_FUNCTION_HD realx3 bound | ( | realx3 | p | ) | const

inline

Definition at line 245 of file cells.hpp.

## Member Data Documentation

## domain_

box domain_ {realx3(0.0), realx3(1.0)}

protected

Definition at line 41 of file cells.hpp.

Referenced by cells< int32 >::bound(), cells< int32 >::calculate(), cells< int32 >::domain(), cells< int32 >::inDomain(), cells< int32 >::pointIndex(), and cells< int32 >::pointIndexInDomain().

## cellSize_

realx3 cellSize_ {1,1,1}

protected

Definition at line 44 of file cells.hpp.

Referenced by cells< int32 >::calculate(), cells< int32 >::cellSize(), cells< int32 >::extendBox(), cells< int32 >::pointIndex(), and cells< int32 >::setCellSize().

## numCells_

CellType numCells_ {1,1,1}

protected

Definition at line 46 of file cells.hpp.

Referenced by cells< int32 >::bound(), cells< int32 >::calculate(), cells< int32 >::isInRange(), cells< int32 >::numCells(), cells< int32 >::nx(), cells< int32 >::ny(), cells< int32 >::nz(), and cells< int32 >::totalCells().

The documentation for this class was generated from the following file:

- src/Interaction/contactSearch/cells.hpp